#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA6,0x3F,0x78,0x26,0x19,0x6E,0x88,0x0E,0xD8,0xAF,0x19,0x82,
		0x71,0xBD,0xE9,0xD6,0xCC,0xE0,0x86,0x81,0x64,0x5B,0x58,0xCA,
		0x6D,0xA0,0xB0,0xCF,0x2E,0x8F,0x77,0x2A,0xBB,0x64,0xCD,0xC3,
		0xD7,0x64,0x0F,0x92,0x12,0xA8,0x8F,0x1C,0xBA,0x08,0xD2,0xD8,
		0x68,0xF3,0x6D,0x21,0x83,0x6E,0x68,0xA2,0x15,0x54,0x15,0xB0,
		0xE9,0xE5,0x74,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
